Download it now!
Bug 134253 - CRASH: undoing field paste
Summary: CRASH: undoing field paste
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:7.1.0 target:7.0.0.2 target:6.4.6
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-06-23 10:06 UTC by Xisco Faulí
Modified: 2020-08-14 13:39 UTC (History)
2 users (show)

See Also:
Crash report or crash signature: ["SwPosition::SwPosition(SwNode%20const%20&)"]


Attachments
sample file (74.61 KB, application/vnd.oasis.opendocument.text)
2020-06-23 10:06 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2020-06-23 10:06:21 UTC
Created attachment 162338 [details]
sample file

Steps to reproduce:
1. Open attached document
2. Select all 3 times
3. Copy
4. Paste
5. Undo

-> Crash

Reproduced in

Version: 7.1.0.0.alpha0+
Build ID: 70479e1f4cb3c120f46239a648e65f035af2922d
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 1 Xisco Faulí 2020-06-23 10:07:57 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=24fd14b387dca458a1b6e9415e936d26562ddb1e

author	Michael Stahl <Michael.Stahl@cib.de>	2019-11-15 16:44:23 +0100
committer	Michael Stahl <michael.stahl@cib.de>	2019-11-18 17:35:38 +0100
commit	24fd14b387dca458a1b6e9415e936d26562ddb1e (patch)
tree	03ad02865accfd20a216970d3fd676c5701c556a
parent	d7643c6a708630a0be365b29a01d514891d9b3fb (diff)
tdf#128739 sw: delete fieldmarks if exactly selected ...

Bisected with: bibisect-linux64-7.0

Adding Cc: to Michael Stahl
Comment 2 Commit Notification 2020-07-06 08:08:35 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/dc7e7b94a7211c576454267c09eb108e761e4487

tdf#134253 sw: fix SwUndoInserts::UndoImpl() if inserting before section

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Michael Stahl (CIB) 2020-07-06 08:09:19 UTC
fixed on master
Comment 4 Commit Notification 2020-07-06 11:01:23 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/f525068d2f5e875ff19ce655582d28c3a07eacf9

tdf#134253 sw: fix SwUndoInserts::UndoImpl() if inserting before section

It will be available in 7.0.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2020-07-06 21:05:34 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/656fd1ec9123de5dbeecb8db4de5254b05c21e76

tdf#134253: sw: Add unittest

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2020-07-07 09:15:30 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/d9a7fb29f1adedc155be236afebde58bb253bc18

tdf#134253 sw: fix SwUndoInserts::UndoImpl() if inserting before section

It will be available in 6.4.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Xisco Faulí 2020-07-08 14:47:56 UTC
Verified in

Version: 7.1.0.0.alpha0+
Build ID: 0695b5f5b328a1bc9cfdc8ba020dbdd674185e04
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: x11
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Michael Stahl, thanks for fixing this issue!!